# Gimp.RunImageFunc

    function onRunImageFunc(procedure: Gimp.Procedure, run_mode: Gimp.RunMode, image: Gimp.Image, drawables: Array(Gimp.Drawable), config: Gimp.ProcedureConfig): Gimp.ValueArray {
    }

The image function is run during the lifetime of the GIMP session, each time a plug-in image procedure is called.

Since 3.0

procedure

  the Gimp.Procedure that runs.

run_mode

  the Gimp.RunMode.

image

  the Gimp.Image.

drawables

  the input Gimp.Drawable-s.

config

  the procedure's remaining arguments.

Returns

  the procedure's return values.